Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze.plugins.gazecursor.GazeCursor Class Reference

## Public Member Functions
| __init__ (self, disptype='', ctype='cross', size=20, colour=(200, 100, 100), pw=3, fill=True)
| update (self, screen, gazepos)

## Public Attributes
str | ctype = ctype
| fill = fill
| pw = pw
tuple | size = (int(size), int(size))
| colour = colour

## Detailed Description

    Gaze contingent cursor

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze.plugins.gazecursor.GazeCursor.__init__ | ( |  | self,
|  |  | disptype = '',
|  |  | ctype = 'cross',
|  |  | size = 20,
|  |  | colour = (200,100,100),
|  |  | pw = 3,
|  |  | fill = True )

    Initializes cursor object

            arguments
            None

            keyword arguments
            disptype    --  string indicating which display type is used;
                        DEPRECATED: disptype is ignored (default = '')
            ctype       --  string indicating the cursor type; should be one of
                        the following: 'rectangle', 'ellipse', 'plus',
                        'cross' or 'arrow' (default = 'cross')
            size        --  cursor size in pixels (default = 20)
            colour      --  colour for the cursor (a RGB tuple, e.g. (255,0,0))
                        (default = (0,0,0))
            pw      --  cursor line thickness in pixels (default = 3)
            fill        --  Boolean indicating if cursor should be filled or not;
                        only applies for cursortypes with a body, e.g.
                        'rectangle' (default = True)

## Member Function Documentation

## ◆ update()

pygaze.plugins.gazecursor.GazeCursor.update | ( |  | self,
|  |  | screen,
|  |  | gazepos )

    Adds the cursor to specified screen; does NOT directly update
            the display

            arguments
            screen  --  a libscreen.Screen instance
            gazepos --  current gaze position (a (x,y) tuple)

            returns
            screen  --  same Screen as was used as an input, but with the
                    addition of a cursor at the gaze position

## Member Data Documentation

## ◆ colour

pygaze.plugins.gazecursor.GazeCursor.colour = colour

## ◆ ctype

str pygaze.plugins.gazecursor.GazeCursor.ctype = ctype

## ◆ fill

pygaze.plugins.gazecursor.GazeCursor.fill = fill

## ◆ pw

pygaze.plugins.gazecursor.GazeCursor.pw = pw

## ◆ size

tuple pygaze.plugins.gazecursor.GazeCursor.size = (int(size), int(size))

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/plugins/gazecursor.py